libwps_OLE::Header Class Reference documentation

Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
libwps_OLE::Header Class Reference

## Public Member Functions
| Header ()
void | compute_block_size ()
bool | valid_signature () const
bool | valid (unsigned long fileSize) const
void | load (const unsigned char *buffer, unsigned long size)
void | save (unsigned char *buffer)

## Public Attributes
unsigned char | m_magic [8]
unsigned | m_revision
unsigned | m_num_bat
unsigned | m_start_dirent
unsigned | m_threshold
unsigned | m_start_sbat
unsigned | m_num_sbat
unsigned | m_shift_sbat
unsigned | m_size_sbat
unsigned | m_shift_bbat
unsigned | m_size_bbat
unsigned | m_start_mbat
unsigned | m_num_mbat
unsigned long | m_blocks_bbat [109]

## Static Protected Attributes
static const unsigned char | s_ole_magic []

## Constructor & Destructor Documentation

## ◆ Header()

libwps_OLE::Header::Header | ( |  | ) |

## Member Function Documentation

## ◆ compute_block_size()

void libwps_OLE::Header::compute_block_size | ( |  | ) |
| inline

Referenced by Header().

## ◆ load()

void libwps_OLE::Header::load | ( | const unsigned char * | buffer,
|  | unsigned long | size )

## ◆ save()

void libwps_OLE::Header::save | ( | unsigned char * | buffer | ) |

## ◆ valid()

bool libwps_OLE::Header::valid | ( | unsigned long | fileSize | ) | const

## ◆ valid_signature()

bool libwps_OLE::Header::valid_signature | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_blocks_bbat

unsigned long libwps_OLE::Header::m_blocks_bbat[109]

Referenced by Header(), load(), and save().

## ◆ m_magic

unsigned char libwps_OLE::Header::m_magic[8]

Referenced by Header(), load(), and valid_signature().

## ◆ m_num_bat

unsigned libwps_OLE::Header::m_num_bat

Referenced by Header(), load(), save(), and valid().

## ◆ m_num_mbat

unsigned libwps_OLE::Header::m_num_mbat

Referenced by Header(), load(), save(), and valid().

## ◆ m_num_sbat

unsigned libwps_OLE::Header::m_num_sbat

Referenced by Header(), load(), and save().

## ◆ m_revision

unsigned libwps_OLE::Header::m_revision

Referenced by Header(), load(), and save().

## ◆ m_shift_bbat

unsigned libwps_OLE::Header::m_shift_bbat

Referenced by compute_block_size(), Header(), load(), save(), and valid().

## ◆ m_shift_sbat

unsigned libwps_OLE::Header::m_shift_sbat

Referenced by compute_block_size(), Header(), load(), save(), and valid().

## ◆ m_size_bbat

unsigned libwps_OLE::Header::m_size_bbat

Referenced by compute_block_size(), Header(), and valid().

## ◆ m_size_sbat

unsigned libwps_OLE::Header::m_size_sbat

Referenced by compute_block_size(), and Header().

## ◆ m_start_dirent

unsigned libwps_OLE::Header::m_start_dirent

Referenced by Header(), load(), and save().

## ◆ m_start_mbat

unsigned libwps_OLE::Header::m_start_mbat

Referenced by Header(), load(), and save().

## ◆ m_start_sbat

unsigned libwps_OLE::Header::m_start_sbat

Referenced by Header(), load(), and save().

## ◆ m_threshold

unsigned libwps_OLE::Header::m_threshold

Referenced by Header(), load(), save(), and valid().

## ◆ s_ole_magic

const unsigned char libwps_OLE::Header::s_ole_magic
| staticprotected

Initial value:
=
{ 0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1 }

Referenced by Header(), save(), and valid_signature().

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp